# Create a summary journal entry This REST API reference describes how to manually create a summary journal entry. Request and response field descriptions and sample code are provided. ### Requirements 1.The sum of debits must equal the sum of credits in the summary journal entry. 2.The following applies only if you use foreign currency conversion: * If you have configured Aggregate transactions with different currencies during a Journal Run to "Yes", the value of the currency field must be the same as your tenant's home currency. That is, you must create journal entries using your home currency. * All journal entries in an accounting period must either all be aggregated or all be unaggregated. You cannot have a mix of aggregated and unaggregated journal entries in the same accounting period. Endpoint: POST /v1/journal-entries Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountingPeriodName` (string, required) Name of the accounting period. The open-ended accounting period is named Open-Ended. Example: "2020/02" - `currency` (string, required) The type of currency used. Currency must be active. Example: "USD" - `journalEntryDate` (string, required) Date of the journal entry. Example: "2020-01-20" - `journalEntryItems` (array, required) Key name that represents the list of journal entry items. Example: [{"accountingCodeName":"Accounts Receivable","amount":400.9,"homeCurrencyAmount":400.9,"type":"Credit"},{"accountingCodeName":"Subscription Revenue","amount":400.9,"homeCurrencyAmount":400.9,"type":"Debit"}] - `journalEntryItems.accountingCodeName` (string, required) Name of the accounting code. - `journalEntryItems.accountingCodeType` (string) Accounting code type. This field is required if accountingCodeName is not unique. Note that On-Account Receivable is only available if you enable the Invoice Settlement feature. Enum: "AccountsReceivable", "On-Account Receivable", "Cash", "OtherAssets", "CustomerCashOnAccount", "DeferredRevenue", "SalesTaxPayable", "OtherLiabilities", "SalesRevenue", "SalesDiscounts", "OtherRevenue", "OtherEquity", "BadDebt", "OtherExpenses" - `journalEntryItems.amount` (string, required) Journal entry item amount in transaction currency. - `journalEntryItems.homeCurrencyAmount` (string) Journal entry item amount in home currency. This field is required if you have set your home currency for foreign currency conversion. Otherwise, do not pass this field. - `journalEntryItems.type` (string, required) Type of journal entry item. Enum: "Credit", "Debit" - `notes` (string) The number associated with the revenue event. Character limit: 2,000 - `organizationLabel` (string) Name of the organization that the journal entry belongs to. This field is only required when you have already turned on Multi-Org feature. - `segments` (array) List of segments that apply to the summary journal entry. - `segments.segmentName` (string, required) Name of segment. You must use the segment name that has already been specified in the default segment rule. In addition, segments need to be passed in the order where they were defined in the segmentation rule. If multiple segments are configured in the default rule, you need to specify all of them in order. - `segments.segmentValue` (string, required) Value of segment in this summary journal entry. - `transferredToAccounting` (string) Status shows whether the journal entry has been transferred to an accounting system. Enum: "No", "Processing", "Yes", "Error", "Ignore" ## Response 200 fields (application/json): - `journalEntryNumber` (string) Journal entry number in the format JE-00000001. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.